Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 790350 - dev-libs/boost: broken with Python 3.10+ (was: media-gfx/openvdb-7.1.0-r1 fails to compile (Unable to find boost_python310, boost_python3 or boost_python))
Summary: dev-libs/boost: broken with Python 3.10+ (was: media-gfx/openvdb-7.1.0-r1 fai...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: David Seifert
URL: https://github.com/AcademySoftwareFou...
Whiteboard:
Keywords: PullRequest
: 803032 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-05-15 12:23 UTC by Alessandro Barbieri
Modified: 2022-02-27 04:19 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge_info (emerge_info,42.21 KB, text/plain)
2021-05-15 12:23 UTC, Alessandro Barbieri
Details
openvdb-7.1.0-r1:20210515-115119.log (openvdb-7.1.0-r1:20210515-115119.log,10.49 KB, text/plain)
2021-05-15 12:23 UTC, Alessandro Barbieri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Barbieri 2021-05-15 12:23:18 UTC
This package fails to compile on an unstable system. Attached relevant logs and emerge --info
Comment 1 Alessandro Barbieri 2021-05-15 12:23:32 UTC
Created attachment 708750 [details]
emerge_info

emerge --info
Comment 2 Alessandro Barbieri 2021-05-15 12:23:33 UTC
Created attachment 708753 [details]
openvdb-7.1.0-r1:20210515-115119.log

build log
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-05-15 12:42:04 UTC
I thought we masked Python on it for this reason? Boost’s Python support is broken
Comment 4 Ionen Wolkens gentoo-dev 2021-05-15 13:42:08 UTC
(In reply to Sam James from comment #3)
> I thought we masked Python on it for this reason? Boost’s Python support is
> broken
fwiw it's only a stable mask

But both openvdb[python] and even openvdb[python,numpy] built fine for me, haven't looked further into what might've happened.

dev-libs/boost-1.76.0::gentoo was built with the following:
USE="icu numpy python threads zlib zstd -bzip2 -context -debug -doc -lzma -mpi -nls -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python3_9 -python3_7 -python3_8"

media-gfx/openvdb-7.1.0-r1::gentoo was built with the following:
USE="abi7-compat numpy python utils -abi6-compat -doc -static-libs -test" ABI_X86="(64)" CPU_FLAGS_X86="avx sse4_2" PYTHON_SINGLE_TARGET="python3_9 -python3_7 -python3_8"
Comment 5 Bernd 2021-05-15 16:12:23 UTC
The problem seems to be
-- Found Python: /usr/include/python3.10) (found suitable version "3.10.0", minimum required is "2.7")
although python3_8 is requested.

Changing -DPython_EXECUTABLE= to -DPython3_EXECUTABLE= might solve this issue. 

Python_EXECUTABLE is accepted by the first interpreter found, while Python3_EXECUTABLE also eventually finds another version than the requested first, but in the end get's the passed parameter correct.
Comment 6 Ionen Wolkens gentoo-dev 2021-05-15 16:54:10 UTC
Ah thanks, I can reproduce now.

I'll start keeping python3.10 around by default in my test env to catch these.
Comment 7 Bernd 2021-05-15 17:06:46 UTC
(In reply to Ionen Wolkens from comment #6)
> Ah thanks, I can reproduce now.
> 
> I'll start keeping python3.10 around by default in my test env to catch
> these.

Note, it's not specific to python-3.10 but can happen anytime, as soon as more than one python version is installed.
Comment 8 Dennis Schridde 2021-11-05 09:06:53 UTC
This also affects media-gfx/openvdb-8.1.0 PYTHON_SINGLE_TARGET=python3_9:

-- ----------------------------------------------------
-- ------------ Configuring OpenVDBPython -------------
-- ----------------------------------------------------
-- Found Python: /usr/include/python3.9) (found suitable version "2.7", minimum required is "2.7")
CMake Error at openvdb/openvdb/python/CMakeLists.txt:162 (message):
  Unable to find boost_python27, boost_python2 or boost_python.


Portage 3.0.28 (python 3.9.7-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-11.2.0, glibc-2.33-r7, 5.14.15 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.14.15-x86_64-AMD_Ryzen_5_2400G_with_Radeon_Vega_Graphics-with-glibc2.33
KiB Mem:    14120352 total,   1153776 free
KiB Swap:    7059452 total,   6691680 free
Timestamp of repository gentoo: Fri, 05 Nov 2021 08:45:01 +0000
Head commit of repository gentoo: 0e9ffe1a9ee4e31146e99ef70144eb0557107b2d
Timestamp of repository haskell: Sun, 31 Oct 2021 10:36:19 +0000
Head commit of repository haskell: 432e49554d881c3e64b6475ccc10d46dc6773be7

Head commit of repository local: 2d87deda70a5e0167d8ba10d68067821a1ce73ae

sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
ccache version 4.4.2 [disabled]
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.34.0-r5::gentoo
dev-lang/python:          2.7.18_p13::gentoo, 3.9.7_p1::gentoo, 3.10.0_p1::gentoo
dev-lang/rust:            1.56.1::gentoo
dev-util/ccache:          4.4.2::gentoo
dev-util/cmake:           3.21.4::gentoo
sys-apps/baselayout:      2.8::gentoo
sys-apps/sandbox:         2.29::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.5::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.14::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r7::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: --new-compress
    sync-rsync-verify-metamanifest: yes

haskell
    location: /var/db/repos/haskell
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/haskell.git
    masters: gentoo

crossdev
    location: /var/cache/portage/crossdev
    masters: gentoo
    priority: 100

local
    location: /var/cache/portage/local
    sync-type: git
    sync-uri: https://github.com/devurandom/gentoo-overlay.git
    masters: gentoo
    priority: 1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=znver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.8/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=znver1"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.fau.de/gentoo http://ftp.halifax.rwth-aachen.de/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j6 -l4"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--new-compress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="7z 7zip X a52 aac aacplus aacs acl acpi activities aio alsa amd64 amr appindicator appstream aptx archive audit avahi avif ayatana bdplus blake2 blas bluetooth bluray bpf branding brotli bs2b btrfs bzip2 cairo caps cdda cddb cdio cdr celt cet chromaprint cjk cli clipboard color-management colord conntrack crypt cups curl d3d9 dav1d dbus declarative device-mapper dirac djvu dmabuf dri drm dts dvb dvd dvdr ed25519 editorconfig egl elf emboss emoji encode epub evdev exif faudio fax fdk ffmpeg fftw filecaps firefox firewalld fish-completion fits flac fontconfig fontforge fortran fribidi gamepad gbm gdal gdbm geoclue geolocation gif git gles2 gles3 gmp gnome-online-accounts gnupg google googledrive gpg gps graphicsmagick gstreamer gtk gtk3 gui gzip harfbuzz hdf5 heif http2 hugepages ibus iconv icu id3tag idn imlib inotify introspection ipv6 iwd jemalloc jpeg jpeg2k json kde kipi kms kwallet lapack latex lcms ldac libatomic libglvnd libidn2 libinput libnotify libproxy libsecret libsoxr libtirpc libvirt lm-sensors lrz lto lv2 lvm lz4 lzma lzo mad magic man mariadb markdown mbim mercurial mjpeg mng mobi modemmanager modplug mp3 mp4 mpeg mplayer mpris mtp multilib mysql ncurses netlink networkmanager nftables nls nptl numa office ofono ofx ogg openal opencl opencv openexr opengl openh264 openmax openmp opus otf pam pango pcap pch pcre pcre2 pdf pgo pipewire pixman pkcs11 pkcs7 plasma pm-utils png policykit postscript ppds prison pulseaudio python qml qrcode qt5 rav1e raw rdp readline rtmp rubberband samba sasl scanner schroedinger screencast sctp sdl sdl2 seatd seccomp semantic-desktop share smartcard snappy sparse speech speex spell spice srt ssl startup-notification steamruntime stemmer svg systemd tbb teamd telemetry telepathy tga theora threads thunderbolt tiff timezone tmux tpm truetype udev udisks uinput unicode unwind upnp upnp-av upower usb utempter v4l v4l2 vaapi vamp vdpau vkd3d vorbis vpx vtk vulkan wasm wavpack wayland webchannel webengine webp widgets wireguard wmf woff2 wps x264 x265 xattr xcb xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xxhash xz yaml zeroconf zeromq zimg zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2019" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de de-DE en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-javascript wiki-publisher" LLVM_TARGETS="AMDGPU BPF RISCV WebAssembly" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1 lua5-4 luajit" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9 pypy pypy3" QEMU_SOFTMMU_TARGETS="riscv32 riscv64 x86_64" QEMU_USER_TARGETS="riscv32 riscv64" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, RUSTFLAGS

=================================================================
                        Package Settings
=================================================================

dev-lang/python-2.7.18_p13::gentoo was built with the following:
USE="bluetooth gdbm ncurses readline sqlite ssl xml (-berkdb) -build -examples -hardened -tk -verify-sig -wininst" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -fwrapv"
CXXFLAGS="-pipe -O2 -march=znver1 -fwrapv"


dev-lang/python-3.9.7_p1::gentoo was built with the following:
USE="bluetooth gdbm ncurses readline sqlite ssl xml -build -examples -hardened -test -tk -verify-sig -wininst" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -fwrapv"
CXXFLAGS="-pipe -O2 -march=znver1 -fwrapv"
FEATURES="userfetch userpriv xattr fakeroot protect-owned unmerge-orphans buildsyspkg parallel-install cgroup distlocks mount-sandbox binpkg-docompress sandbox unmerge-logs ebuild-locks multilib-strict ipc-sandbox qa-unresolved-soname-deps parallel-fetch compressdebug config-protect-if-modified fixlafiles merge-sync assume-digests preserve-libs binpkg-logs news binpkg-multi-instance usersandbox unknown-features-warn usersync sfperms network-sandbox binpkg-dostrip pid-sandbox strict"


dev-lang/python-3.10.0_p1::gentoo was built with the following:
USE="bluetooth gdbm ncurses readline sqlite ssl xml -build -examples -hardened -test -tk -verify-sig -wininst" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -fwrapv"
CXXFLAGS="-pipe -O2 -march=znver1 -fwrapv"
FEATURES="userfetch userpriv xattr fakeroot protect-owned unmerge-orphans buildsyspkg parallel-install cgroup distlocks mount-sandbox binpkg-docompress sandbox unmerge-logs ebuild-locks multilib-strict ipc-sandbox qa-unresolved-soname-deps parallel-fetch compressdebug config-protect-if-modified fixlafiles merge-sync assume-digests preserve-libs binpkg-logs news binpkg-multi-instance usersandbox unknown-features-warn usersync sfperms network-sandbox binpkg-dostrip pid-sandbox strict"
Comment 9 Bernd 2021-11-05 09:41:34 UTC
Not sure, if this is related to the changes from bug #788886 and if upstream updated the package after the merge. During my tests of said bug, which was before they merged the changes, anything worked with python3.{9,10} installed. I'm not sure, however, if I had py27 installed in my test environment. Their logic selects to lowest available version which satisfies their minimum requirements.

Eventually updating their minimum python requirements from 2.7 to some 3.x can solve this.
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-05 15:47:06 UTC Comment hidden (obsolete)
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-06 05:58:20 UTC Comment hidden (obsolete)
Comment 12 Larry the Git Cow gentoo-dev 2021-11-20 07:07:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d3c1357a7c95b95ecdbf31b3c919890efbcd7f0

commit 6d3c1357a7c95b95ecdbf31b3c919890efbcd7f0
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-11-20 07:06:09 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-11-20 07:07:25 +0000

    dev-libs/boost: add Python 3.10 patch
    
    Been meaning to add this but was undecided given no problems seemed to pop up.
    
    Then made the connection (doh) between the linked OpenVDB bug after seeing
    another distro (Exherbo) pick up this patch. Let's see if it helps the
    situation there.
    
    Bug: https://bugs.gentoo.org/790350
    Signed-off-by: Sam James <sam@gentoo.org>

 ...ost-1.77.0-r2.ebuild => boost-1.77.0-r3.ebuild} |  1 +
 .../boost/files/boost-1.77.0-python-3.10.patch     | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)
Comment 13 Larry the Git Cow gentoo-dev 2021-12-02 02:34:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f69aea9c3a148dcc961957e8004eaa0dc45be8b

commit 8f69aea9c3a148dcc961957e8004eaa0dc45be8b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-02 02:33:57 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-02 02:34:21 +0000

    media-gfx/openvdb: tweak Python detection for 9.0.0
    
    Let's try this. We might be able to drop the options we pass
    in the ebuild entirely, but not wanting to mess too much
    for a moment.
    
    Bug: https://bugs.gentoo.org/790350
    Signed-off-by: Sam James <sam@gentoo.org>

 ...unconditionally-search-Python-interpreter.patch | 40 ++++++++++++++++++++++
 media-gfx/openvdb/openvdb-9.0.0.ebuild             |  1 +
 2 files changed, 41 insertions(+)
Comment 14 Dennis Schridde 2021-12-03 10:47:34 UTC
(In reply to Larry the Git Cow from comment #13)
> The bug has been referenced in the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=8f69aea9c3a148dcc961957e8004eaa0dc45be8b
> 
> commit 8f69aea9c3a148dcc961957e8004eaa0dc45be8b
> Author:     Sam James <sam@gentoo.org>
> AuthorDate: 2021-12-02 02:33:57 +0000
> Commit:     Sam James <sam@gentoo.org>
> CommitDate: 2021-12-02 02:34:21 +0000
> 
>     media-gfx/openvdb: tweak Python detection for 9.0.0

Could this please be backported to media-gfx/openvdb-8.1.0?  Because of an incompatibility regarding dev-cpp/tbb-2021 between media-gfx/openvdb-9.0.0 and sci-libs/vtk (any version) I am stuck with that version of media-gfx/openvdb for now.
Comment 15 Larry the Git Cow gentoo-dev 2021-12-04 01:10:50 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f271a2a1c109baac36ec566b00683f8e1589ae3

commit 1f271a2a1c109baac36ec566b00683f8e1589ae3
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-04 01:09:41 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-04 01:09:46 +0000

    media-gfx/openvdb: add 8.2.0
    
    Trying without setting PYOPENVDB_INSTALL_DIRECTORY as that
    _seems_ to work and allows us to avoid backporting a
    non-trivial patch to 8.x.
    
    This should fix some Python-related build issues
    in previous versions of 8.x (which should be
    fixed already in 9.x).
    
    Bug: https://bugs.gentoo.org/790350
    Signed-off-by: Sam James <sam@gentoo.org>

 media-gfx/openvdb/Manifest             |   1 +
 media-gfx/openvdb/openvdb-8.2.0.ebuild | 130 +++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+)
Comment 16 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-12-04 01:11:39 UTC
(In reply to Dennis Schridde from comment #14)

I've added 8.2.0 instead as it's just come out. Could you try it?

(I've made a change to fix the Python issue hopefully too, similar to what the patch does for 9.x).
Comment 17 Larry the Git Cow gentoo-dev 2021-12-04 21:52:55 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b62193bab0b3de371047ddb0aacce74591cabcb8

commit b62193bab0b3de371047ddb0aacce74591cabcb8
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-12-04 20:37:39 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-04 21:52:42 +0000

    media-gfx/openvdb: fix issue if imath and ilmbase are both installed
    
    The patch fixes an issue when OPENVDB_BUILD_BINARIES and OPENVDB_BUILD_RENDER
    are set and both, dev-libs/imath and media-libs/ilmbase are being installed
    and allows the package to configure properly in this case.
    
    Additionally it fixes the installation location of the python module.
    
    Bug: https://bugs.gentoo.org/790350
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Closes: https://github.com/gentoo/gentoo/pull/23185
    Signed-off-by: Sam James <sam@gentoo.org>

 ...lmbase-if-imath-and-ilmbase-are-installed.patch | 37 ++++++++++++++++++++++
 ...unconditionally-search-Python-interpreter.patch | 34 ++++++++++++++++++++
 ...penvdb-8.2.0.ebuild => openvdb-8.2.0-r1.ebuild} | 24 ++++++++++----
 3 files changed, 88 insertions(+), 7 deletions(-)
Comment 18 Dennis Schridde 2021-12-06 20:38:41 UTC
(In reply to Sam James from comment #16)
> (In reply to Dennis Schridde from comment #14)
> 
> I've added 8.2.0 instead as it's just come out. Could you try it?
> 
> (I've made a change to fix the Python issue hopefully too, similar to what
> the patch does for 9.x).

Thanks! 8.2.0 emerges. :)
Comment 19 Larry the Git Cow gentoo-dev 2021-12-10 04:31:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d065d7d4ab901612eb897b36caa3e0d8a0e7820

commit 9d065d7d4ab901612eb897b36caa3e0d8a0e7820
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-10 04:29:46 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-10 04:29:46 +0000

    media-gfx/openvdb: use upstream patch for Python detection issue
    
    Bug: https://bugs.gentoo.org/790350
    Bug: https://github.com/AcademySoftwareFoundation/openvdb/pull/1275
    Signed-off-by: Sam James <sam@gentoo.org>

 ...unconditionally-search-Python-interpreter.patch | 57 ++++++++++------------
 media-gfx/openvdb/openvdb-9.0.0.ebuild             |  1 -
 2 files changed, 26 insertions(+), 32 deletions(-)
Comment 20 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-02-27 04:18:33 UTC
*** Bug 803032 has been marked as a duplicate of this bug. ***